# watts_to_dollars

A tiny cli program written in Nim to calculate how much money a device will cost in electricity for a given number of days. Written and tested for linux. There may not be anything OS specific, but i haven't paid any attention to that. 

# Building from source?
-- You will need Nim installed, which also contains Nimble, the Nim package manager. 

-- Install the termstyle dependency: `nimble install termstyle`

-- Compile watts_to_dollars.nim with: `nim c --d:threads:off -d:release --opt:speed watts_to_dollars.nim`

-- Copy the binary to `~/.local/bin` and make it executable.

-- Run the program from any location in the terminal with: `./watts_to_dollars`


# Or Just Download and Run the binary
-- Download `watts_to_dollars_x86_64_linux_bin`

-- Make it executable: `chmod +x watts_to_dollars_x86_64_linux_bin` (or use GUI file manager)

-- Rename it if you want, and copy it to `~/.local/bin` 

-- Run the program from any location in the terminal with: `./watts_to_dollars` or whatever you renamed it.


# How To Use
The idea is to enter the total watts of a device, or the difference in watts between two devices, if you want to see how much those watts will cost you on your electricity bill. It uses days as the time unit for simplicity, so you can use `31` for a month or `365` for a year if you want to.

# But Why?
I often need this information, and sometimes searching for and using web calculators/converters can be irritating. I finally had enough yesterday morning, and i wrote this instead. I thought maybe other people might find it useful, thus the repo. This was also the first time i had a good enough excuse to write something in Nim for the CLI, and i liked how clean and concise it turned out, and thought someone else might like to see a small, simple example of a Nim CLI program.

Enjoy!